Skip to content

Adatree CDR Developer Portal

One integration. Infinite potential.

No matter how the legislation changes or when new industry data sources are released, all CDR data is immediately available through Adatree’s REST API from industries including:

  • Banking – live & connected to every Data Holder
  • Energy – live & connected to every Data Holder
  • Non-bank lending – coming soon!
[
{
"version": 2,
"created": "2021-01-12T15:43:00.121Z",
"revoked": "2021-01-12T15:43:00.121Z",
"lastNotificationSentAt": "2021-01-12T15:43:00.121Z",
"firstDataCollection": "2021-01-12T15:43:00.121Z",
"status": "ACTIVE",
"sharingEndDate": "2023-04-19T15:43:00.121Z",
"consumerEmail": "consumer@example.com",
"dataHolderName": "ANZ",
"dataHolderBrandId": "f632041c-d7c8-4679-a165-aa406cd62b13",
"useCase": {
"id": "HOME_LOAN",
"name": "Home Loan Assessment",
"softwareProductId": "software product id",
"description": "Data will be used to assess your eligibility for a home loan.",
"priority": 1,
"historicalCollectionPeriodInDays": 90,
"notificationType": "EMAIL",
"scopes": [
{
"name": "Bank account name, type and balance",
"id": "bank:accounts.basic:read",
"purpose": "This will allow us to provide best of kind service",
"description": "This will allow us to access basic information about your accounts",
"claims": [
"Name of account",
"Type of account",
"Account balance"
],
"priority": 1
}
],
"accessFrequency": "ONCE_OFF",
"sharingDurations": [
"ONE_YEAR"
],
"dataHolders": [
{
"dataHolderBrandId": "7ff47a14-28bd-4b04-b216-67b367713a38",
"brandName": "Westpac",
"logoUri": "https://www.westpac.com.au/logo"
}
]
},
"postUsageAction": "DELETION",
"consumerId": "abedfaas-asdfsf-4asdf-1465-sfsadf3413",
"cdrArrangementId": "86a5d068-447a-4765-95c2-6f5d85d9d658",
"consentId": "7c7853a6-5466-11eb-ae93-0242ac130002",
"directMarketingAllowed": false,
"consumerMobileNumber": "00614000555666",
"externalId": "external-id-by-adatree-customer"
}
]

With dozens of CDR implementations under our belt, we’ve streamlined the onboarding process and can have your non-production environment and white-labelled consent dashboard humming in as little as a day.

Whatever your use case, business size or industry, Adatree can bring you live to CDR.

Streamlined Onboarding

We support multiple IDPs and our clear documentation makes onboarding a breeze.

Speedy Deployments

Our industry sandbox and Data Recipient Platform give you the confidence to build and deploy your product to your customers.

Flexible UI Solutions

You can either BYO UI or save time and resources with Adatree’s white-labelled consent dashboard.

Set and Forget

Change is the only constant. We guarantee our technology will always be compliant with CX standards and regulations.

Automated Client Registration

Our automated Dynamic Client Registration (DCR) means new Data Holders are added to the Adatree platform in minutes after they’re added to the register.

Secure Environment

Our ADR accreditation and ASAE3150 audit let you bypass the red tape and trust that your data access is always fully compliant.

If you know Adatree, you know we take data security very seriously.

As an Accredited Data Recipient (ADR), we have to meet the highest security standards legislated in Australia and we’re audited and penetration-tested continuously. We passed our ASAE3150 Information Security Assurance Report after a government review, and we conduct ongoing monitoring of all customer environments.

And rest assured, every Adatree partner has undergone a stringent audited review of their capabilities.